module.exports = {
    "_id": "5cd2c9ecdb7b19176d2048ee",
    "dataTypes": [{
        "predefined": true,
        "id": "user",
        "label": "User",
        "description": "User representation for processing.",
        "fields": [{
            "id": "id",
            "label": "ID",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "account",
            "label": "Account",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "alias",
            "label": "Alias",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "firstName",
            "label": "First Name",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "lastName",
            "label": "Last Name",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "eMail",
            "label": "E-Mail",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }]
    }, {
        "predefined": true,
        "id": "mesh",
        "label": "Mesh",
        "description": "Mesh representation for processing.",
        "fields": [{
            "id": "_id",
            "label": "Internal ID",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "uuid",
            "label": "UUID",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "id",
            "label": "ID",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "label",
            "label": "Label",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "description",
            "label": "Description",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }]
    }, {
        "predefined": true,
        "id": "eventProcessorInterval",
        "label": "Event Processor Interval",
        "description": "All State Changes and Events collected in an Event Processing Interval.",
        "fields": [{
            "id": "type",
            "label": "Type",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }]
    }, {
        "predefined": true,
        "id": "componentEvent",
        "label": "Component Event",
        "description": "",
        "fields": [{
            "id": "type",
            "label": "Type",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }]
    }, {
        "predefined": true,
        "id": "componentStateChange",
        "label": "Component State Change",
        "description": "State Change Data for a State Change of a Device or an Actor.",
        "fields": [{
            "id": "type",
            "label": "Type",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "timestamp",
            "label": "Timestamp",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "node",
            "label": "Node",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "device",
            "label": "Device",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "actor",
            "label": "Actor",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "stateVariables",
            "label": "State Variables",
            "type": {"family": "reference", "id": "stateVariable"},
            "cardinality": "zeroOrMore"
        }]
    }, {
        "predefined": true,
        "id": "stateVariable",
        "label": "State Variable",
        "description": "State Variable, e.g. Temperature of a Device or an Actor.",
        "fields": [{
            "id": "type",
            "label": "Type",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "id",
            "label": "ID",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "label",
            "label": "Label",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }]
    }, {
        "predefined": true,
        "id": "asset",
        "label": "Asset",
        "description": "Physical Device, Actor or Sensor.",
        "fields": [{
            "id": "type",
            "label": "Type",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "id",
            "label": "ID",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "label",
            "label": "Label",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "location",
            "label": "Location",
            "type": {"family": "primitive", "id": "string"},
            "cardinality": "exactlyOne"
        }, {
            "id": "longitude",
            "label": "Longitude",
            "type": {"family": "primitive", "id": "decimal"},
            "cardinality": "exactlyOne"
        }, {
            "id": "latitude",
            "label": "Latitude",
            "type": {"family": "primitive", "id": "decimal"},
            "cardinality": "exactlyOne"
        }]
    }],
    "class": "Node",
    "simulated": false,
    "connectionMode": "reverseProxy",
    "id": "gateway4",
    "label": "Julian DEV",
    "location": "local",
    "state": "running",
    "host": "localhost",
    "port": "3000",
    "devices": [{
        "plugin": "bacnet-scan/bacNetScanDevice",
        "class": "Device",
        "keywords": [],
        "id": "bacNetScanDevice1",
        "label": "BACnet Scanner 1",
        "configuration": {"timeout": "0", "port": "47808", "name": "tid-bacnet-scan"},
        "actors": [],
        "sensors": []
    }],
    "services": [],
    "eventProcessors": [],
    "groups": [],
    "uuid": "e3a90ad0-718b-11e9-9c9c-77c44de26c2d",
    "mesh": "4a6de160-1714-11e8-98f2-2b59ee2cc0a6",
    "nodeComputerUuid": "f971ac00-718b-11e9-9c9c-77c44de26c2d",
    "customer": "daeee6a0-1712-11e8-98f2-2b59ee2cc0a6",
    "lastModificationTimestamp": 1557319348960
};